Bug 23950 - rpm refuse to work with reiser FS
rpm refuse to work with reiser FS
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-01-13 05:24 EST by Maxim F. Ischenko
Modified: 2007-04-18 12:30 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-01-13 05:24:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Maxim F. Ischenko 2001-01-13 05:24:44 EST
When I have mounted reiserFS partition RPM fails to install any packages.

$ rpmi xlHtml-0.2.7.0-2.i686.rpm
installing package xlHtml-0.2.7.0-2 needs 1 inodes on the /usr/src/test
filesystem

# df -i
/dev/hda10 reiserfs  4.0G       0    3.9G    0% /usr/src/test

# uname -a
Linux localhost.localdomain 2.4.0max #1 Tue Jan 9 16:47:27 EET 2001 i686
ReiserFS version 3.6.25
Comment 1 Jeff Johnson 2001-01-14 12:15:35 EST
reiserfs (and a handful of other "broken" file systems like FAT) do not return 
the number of available inodes. Either add "--ignoresize" to disable disk
space/inode checking, or upgrade to a later version of rpm-4.0.2, where there's
a hack to detect and ignore "broken" file systems. Sorry, I've forgotten
the release number of the package with the "fix", it was 2-3 weeks ago.

Note You need to log in before you can comment on or make changes to this bug.